package com.ss.android.ugc.aweme.feed.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.base.model.UrlModel;
import java.io.Serializable;

public class SpecialSticker implements Serializable {
    @c(LIZ = "icon_url")
    public UrlModel iconUrl;
    @c(LIZ = "link")
    public String linkUrl;
    @c(LIZ = "open_url")
    public String openUrl;
    @c(LIZ = "sticker_id")
    public String stickerId;
    @c(LIZ = "sticker_type")
    public int stickerType;
    @c(LIZ = "title")
    public String title;

    static {
        Covode.recordClassIndex(78990);
    }

    public UrlModel getIconUrl() {
        return this.iconUrl;
    }

    public String getLinkUrl() {
        return this.linkUrl;
    }

    public String getOpenUrl() {
        return this.openUrl;
    }

    public String getStickerId() {
        return this.stickerId;
    }

    public int getStickerType() {
        return this.stickerType;
    }

    public String getTitle() {
        return this.title;
    }

    public void setIconUrl(UrlModel urlModel) {
        this.iconUrl = urlModel;
    }

    public void setLinkUrl(String str) {
        this.linkUrl = str;
    }

    public void setOpenUrl(String str) {
        this.openUrl = str;
    }

    public void setStickerId(String str) {
        this.stickerId = str;
    }

    public void setStickerType(int i) {
        this.stickerType = i;
    }

    public void setTitle(String str) {
        this.title = str;
    }
}
